### Function

# GObject type_add_interface_static

#### Declaration [src]

    void
    g_type_add_interface_static (
      GType instance_type,
      GType interface_type,
      const GInterfaceInfo* info
    )

#### Description [src]

Adds `interface_type` to the static `instance_type`. The information contained in the `GInterfaceInfo` structure pointed to by `info` is used to manage the relationship.

#### Parameters

`instance_type`

  Type: `GType`

  `GType` value of an instantiatable type.

`interface_type`

  Type: `GType`

  `GType` value of an interface type.

`info`

  Type: `GInterfaceInfo`

  `GInterfaceInfo` structure for this (`instance_type`, `interface_type`) combination.

  The data is owned by the caller of the function.